備忘録‎ > ‎

[ubuntu]容量不足でアップデートできない

2015/02/07 6:47 に ly copins が投稿   [ 2015/02/07 6:48 に更新しました ]


大抵の場合、旧カーネルが容量を圧迫しているので、使っていないものをアンインストールすると解決する。

現在ブートしているカーネルのバージョンを確認する。
$ uname -a
Linux nobu-Inspiron-530s 3.13.0-44-generic #73-Ubuntu SMP Tue Dec 16 00:23:46 UTC 2014 i686 i686 i686 GNU/Linux

インストールされているカーネルイメージの一覧を確認する。
$ dpkg --get-selections | grep linux-image
linux-image-3.13.0-24-generic            deinstall
linux-image-3.13.0-29-generic            deinstall
linux-image-3.13.0-32-generic            deinstall
linux-image-3.13.0-37-generic            install
linux-image-3.13.0-39-generic            install
linux-image-3.13.0-40-generic            install
linux-image-3.13.0-43-generic            install
linux-image-3.13.0-44-generic            install
linux-image-extra-3.13.0-24-generic        deinstall
linux-image-extra-3.13.0-29-generic        deinstall
linux-image-extra-3.13.0-32-generic        deinstall
linux-image-extra-3.13.0-34-generic        deinstall
linux-image-extra-3.13.0-35-generic        deinstall
linux-image-extra-3.13.0-36-generic        deinstall
linux-image-extra-3.13.0-37-generic        install
linux-image-extra-3.13.0-39-generic        install
linux-image-extra-3.13.0-40-generic        install
linux-image-extra-3.13.0-43-generic        install
linux-image-extra-3.13.0-44-generic        install
linux-image-generic                install

不要なイメージを削除する。
$ sudo apt-get remove linux-image-3.13.0-37-generic
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています               
状態情報を読み取っています... 完了
以下のパッケージが自動でインストールされましたが、もう必要とされていません:
  libgraphicsmagick3 libjs-underscore libmowgli-2-0 libquvi-0.9-0.9.3
  libquvi-scripts-0.9 libva-glx1 libx265-31 libxine2 libxine2-bin libxine2-doc
  libxine2-ffmpeg libxine2-misc-plugins libxine2-plugins libxine2-x
  linux-headers-generic linux-image-generic lua-bitop lua-expat lua-json
  lua-lpeg lua-socket wine-gecko2.24 wine-mono4.5.2
これを削除するには 'apt-get autoremove' を利用してください。
以下のパッケージは「削除」されます:
  linux-image-3.13.0-37-generic linux-image-extra-3.13.0-37-generic
アップグレード: 0 個、新規インストール: 0 個、削除: 2 個、保留: 25 個。
この操作後に 146 MB のディスク容量が解放されます。
続行しますか? [Y/n]

依存関係にあったパッケージを自動で削除します。
$ sudo apt-get autoremove
パッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています               
状態情報を読み取っています... 完了
以下のパッケージは「削除」されます:
  libgraphicsmagick3 libjs-underscore libmowgli-2-0 libquvi-0.9-0.9.3
  libquvi-scripts-0.9 libva-glx1 libx265-31 libxine2 libxine2-bin libxine2-doc
  libxine2-ffmpeg libxine2-misc-plugins libxine2-plugins libxine2-x
  linux-headers-generic linux-image-generic lua-bitop lua-expat lua-json
  lua-lpeg lua-socket wine-gecko2.24 wine-mono4.5.2
アップグレード: 0 個、新規インストール: 0 個、削除: 23 個、保留: 23 個。
この操作後に 93.6 MB のディスク容量が解放されます。
続行しますか? [Y/n]


以上。




Comments